Aquarium - Feature # 1854

Status: Closed Priority: Medium

Author: Christos KK Loverdos Category:

Created: 01/16/2012 Assignee: Christos KK Loverdos
Updated: 09/07/2012 Due date:

Subject: DB API should not return Lists

Description

The current DB APl is List-oriented, as a first approximation. Clearly, a huge result set will exhaust memory. So the API needs a redesign.

History

#1 - 01/16/2012 04:27 pm - Christos KK Loverdos
- Assignee set to Christos KK Loverdos

- Target version set to v0.3

#2 - 06/11/2012 03:08 pm - Christos KK Loverdos
- % Done changed from 0 to 10

#3 - 06/29/2012 04:02 pm - Christos KK Loverdos
- % Done changed from 10 to 40

#4 - 06/29/2012 04:02 pm - Christos KK Loverdos
- Status changed from New to Assigned

#5 - 07/09/2012 04:42 pm - Christos KK Loverdos
- Target version changed from v0.3 to v0.2
- % Done changed from 40 to 60

#6 - 09/07/2012 01:36 pm - Christos KK Loverdos

- Status changed from Assigned to Closed
- % Done changed from 60 to 100

04/10/2024

1/1




